Create an RCS brand
Creates an editable RCS brand draft. Creating the draft does not begin external review.
POST
/
rcs
/
brands
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const Brand = await client.rcs.brands.create({
addresses: {},
contacts: 'contacts',
display_name: 'display_name',
identifiers: 'identifiers',
legal_entity_type: 'LIMITED_LIABILITY_COMPANY',
legal_name: 'legal_name',
organization_type: 'PRIVATE_PROFIT',
website_url: 'website_url',
});
console.log(Brand.brand_id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
brand = client.rcs.brands.create(
addresses={},
contacts="contacts",
display_name="display_name",
identifiers="identifiers",
legal_entity_type="LIMITED_LIABILITY_COMPANY",
legal_name="legal_name",
organization_type="PRIVATE_PROFIT",
website_url="website_url",
)
print(brand.brand_id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
brand, err := client.Rcs.Brands.New(
context.TODO(),
telnyx.RcBrandNewParams{
Addresses: "addresses",
Contacts: "contacts",
DisplayName: "display_name",
Identifiers: "identifiers",
LegalEntityType: "legal_entity_type",
LegalName: "legal_name",
OrganizationType: "organization_type",
WebsiteURL: "website_url",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", brand.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.rcs.brands.BrandCreateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
BrandCreateParams params = BrandCreateParams.builder()
.addresses(null)
.contacts("contacts")
.displayName("display_name")
.identifiers("identifiers")
.legalEntityType(BrandCreateParams.LegalEntityType.LIMITED_LIABILITY_COMPANY)
.legalName("legal_name")
.organizationType(BrandCreateParams.OrganizationType.PRIVATE_PROFIT)
.websiteUrl("website_url")
.build();
var response = client.rcs().brands().create(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
brand = telnyx.rcs.brands.create(
addresses: {},
contacts: "contacts",
display_name: "display_name",
identifiers: "identifiers",
legal_entity_type: :LIMITED_LIABILITY_COMPANY,
legal_name: "legal_name",
organization_type: :PRIVATE_PROFIT,
website_url: "website_url"
)
puts(brand)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$brand = $client->rcs->brands->create(
addresses: [],
contacts: 'contacts',
display_name: 'display_name',
identifiers: 'identifiers',
legal_entity_type: 'LIMITED_LIABILITY_COMPANY',
legal_name: 'legal_name',
organization_type: 'PRIVATE_PROFIT',
website_url: 'website_url',
);
var_dump($brand);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rcs:brands create \
--api-key 'My API Key' \
--display-name display_name \
--legal-name legal_name \
--legal-entity-type LIMITED_LIABILITY_COMPANY \
--organization-type PRIVATE_PROFIT \
--website-url website_url \
--identifiers identifiers \
--addresses '{}' \
--contacts contactscurl --request POST \
--url https://api.telnyx.com/v2/rcs/brands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "Acme",
"legal_name": "Acme LLC",
"legal_entity_type": "LIMITED_LIABILITY_COMPANY",
"organization_type": "PRIVATE_PROFIT",
"website_url": "https://www.example.com",
"profile_id": "40000000-0000-0000-0000-000000000001",
"identifiers": {
"ein": {
"identifier_type": "EIN",
"value": "12-3456789"
}
},
"addresses": {
"primary": {
"line_1": "1 Main Street",
"city": "Chicago",
"administrative_area": "IL",
"postal_code": "60601",
"country_code": "US"
}
},
"contacts": {
"brand": {
"contact_type": "BRAND",
"first_name": "Jane",
"last_name": "Doe",
"title": "Messaging Operations Manager",
"email": "jane@example.com",
"phone_number": "+13125550100"
}
}
}
'{
"brand_id": "11111111-1111-4111-8111-111111111111",
"display_name": "Acme",
"legal_name": "Acme LLC",
"legal_entity_type": "LIMITED_LIABILITY_COMPANY",
"organization_type": "PRIVATE_PROFIT",
"website_url": "https://www.example.com",
"status": "CREATED",
"profile_id": "40000000-0000-0000-0000-000000000001",
"identifiers": {
"ein": {
"identifier_type": "EIN",
"value": "12-3456789"
}
},
"addresses": {
"primary": {
"line_1": "1 Main Street",
"city": "Chicago",
"administrative_area": "IL",
"postal_code": "60601",
"country_code": "US"
}
},
"contacts": {
"brand": {
"contact_type": "BRAND",
"first_name": "Jane",
"last_name": "Doe",
"title": "Messaging Operations Manager",
"email": "jane@example.com",
"phone_number": "+13125550100"
}
},
"capabilities": {
"brand_entity": true,
"brand_verification": true,
"submission_sections": true,
"distinct_launch_phase": false,
"per_carrier_approval": false,
"templates": false,
"campaigns": false,
"vendor_webhooks": false,
"invite_test_devices": false
}
}{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}{
"detail": [
{
"loc": [
"body",
"display_name"
],
"msg": "Field required",
"type": "missing"
}
]
}{
"detail": "The requested RCS resource was not found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 100Required string length:
1 - 100Available options:
LIMITED_LIABILITY_COMPANY, SOLE_PROPRIETORSHIP, PARTNERSHIP, CORPORATION, S_CORPORATION Available options:
PRIVATE_PROFIT, PUBLIC_PROFIT, NON_PROFIT, GOVERNMENT, UNKNOWN Minimum string length:
1Pattern:
^[Hh][Tt][Tt][Pp][Ss]?://Named business identifiers. Use the ein key for the required EIN and stock_symbol for a public-profit brand's stock symbol.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Named business contacts. Use the brand key for the required BRAND contact.
Show child attributes
Show child attributes
A Messaging Profile owned by the authenticated organization. Agents inherit this value when they do not provide their own profile.
Maximum string length:
36Response
The brand draft was created.
Minimum string length:
1Pattern:
^[Hh][Tt][Tt][Pp][Ss]?://Available options:
CREATED, CONFIGURED, SUBMITTED, REVIEWING, VETTING, VERIFIED, REJECTED, FAILED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const Brand = await client.rcs.brands.create({
addresses: {},
contacts: 'contacts',
display_name: 'display_name',
identifiers: 'identifiers',
legal_entity_type: 'LIMITED_LIABILITY_COMPANY',
legal_name: 'legal_name',
organization_type: 'PRIVATE_PROFIT',
website_url: 'website_url',
});
console.log(Brand.brand_id);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
brand = client.rcs.brands.create(
addresses={},
contacts="contacts",
display_name="display_name",
identifiers="identifiers",
legal_entity_type="LIMITED_LIABILITY_COMPANY",
legal_name="legal_name",
organization_type="PRIVATE_PROFIT",
website_url="website_url",
)
print(brand.brand_id)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
brand, err := client.Rcs.Brands.New(
context.TODO(),
telnyx.RcBrandNewParams{
Addresses: "addresses",
Contacts: "contacts",
DisplayName: "display_name",
Identifiers: "identifiers",
LegalEntityType: "legal_entity_type",
LegalName: "legal_name",
OrganizationType: "organization_type",
WebsiteURL: "website_url",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", brand.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.rcs.brands.BrandCreateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
BrandCreateParams params = BrandCreateParams.builder()
.addresses(null)
.contacts("contacts")
.displayName("display_name")
.identifiers("identifiers")
.legalEntityType(BrandCreateParams.LegalEntityType.LIMITED_LIABILITY_COMPANY)
.legalName("legal_name")
.organizationType(BrandCreateParams.OrganizationType.PRIVATE_PROFIT)
.websiteUrl("website_url")
.build();
var response = client.rcs().brands().create(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
brand = telnyx.rcs.brands.create(
addresses: {},
contacts: "contacts",
display_name: "display_name",
identifiers: "identifiers",
legal_entity_type: :LIMITED_LIABILITY_COMPANY,
legal_name: "legal_name",
organization_type: :PRIVATE_PROFIT,
website_url: "website_url"
)
puts(brand)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$brand = $client->rcs->brands->create(
addresses: [],
contacts: 'contacts',
display_name: 'display_name',
identifiers: 'identifiers',
legal_entity_type: 'LIMITED_LIABILITY_COMPANY',
legal_name: 'legal_name',
organization_type: 'PRIVATE_PROFIT',
website_url: 'website_url',
);
var_dump($brand);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rcs:brands create \
--api-key 'My API Key' \
--display-name display_name \
--legal-name legal_name \
--legal-entity-type LIMITED_LIABILITY_COMPANY \
--organization-type PRIVATE_PROFIT \
--website-url website_url \
--identifiers identifiers \
--addresses '{}' \
--contacts contactscurl --request POST \
--url https://api.telnyx.com/v2/rcs/brands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "Acme",
"legal_name": "Acme LLC",
"legal_entity_type": "LIMITED_LIABILITY_COMPANY",
"organization_type": "PRIVATE_PROFIT",
"website_url": "https://www.example.com",
"profile_id": "40000000-0000-0000-0000-000000000001",
"identifiers": {
"ein": {
"identifier_type": "EIN",
"value": "12-3456789"
}
},
"addresses": {
"primary": {
"line_1": "1 Main Street",
"city": "Chicago",
"administrative_area": "IL",
"postal_code": "60601",
"country_code": "US"
}
},
"contacts": {
"brand": {
"contact_type": "BRAND",
"first_name": "Jane",
"last_name": "Doe",
"title": "Messaging Operations Manager",
"email": "jane@example.com",
"phone_number": "+13125550100"
}
}
}
'{
"brand_id": "11111111-1111-4111-8111-111111111111",
"display_name": "Acme",
"legal_name": "Acme LLC",
"legal_entity_type": "LIMITED_LIABILITY_COMPANY",
"organization_type": "PRIVATE_PROFIT",
"website_url": "https://www.example.com",
"status": "CREATED",
"profile_id": "40000000-0000-0000-0000-000000000001",
"identifiers": {
"ein": {
"identifier_type": "EIN",
"value": "12-3456789"
}
},
"addresses": {
"primary": {
"line_1": "1 Main Street",
"city": "Chicago",
"administrative_area": "IL",
"postal_code": "60601",
"country_code": "US"
}
},
"contacts": {
"brand": {
"contact_type": "BRAND",
"first_name": "Jane",
"last_name": "Doe",
"title": "Messaging Operations Manager",
"email": "jane@example.com",
"phone_number": "+13125550100"
}
},
"capabilities": {
"brand_entity": true,
"brand_verification": true,
"submission_sections": true,
"distinct_launch_phase": false,
"per_carrier_approval": false,
"templates": false,
"campaigns": false,
"vendor_webhooks": false,
"invite_test_devices": false
}
}{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}{
"detail": [
{
"loc": [
"body",
"display_name"
],
"msg": "Field required",
"type": "missing"
}
]
}{
"detail": "The requested RCS resource was not found."
}